Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005865TestLinkAPI - RESTpublic2013-08-16 19:482013-09-08 17:53
Reporterlczub 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.7 (2013 Q2 - bug fixing) 
Fixed in Version1.9.8 (2013 Q3 - bug fixing) 
Summary0005865: REST response header should define content-type application/json
DescriptionThe 1.9.7 TestLink REST implementation uses the Slim Framework default settings 'text/html' for the response header content-type.

Cause the response body includes a JSON data structure and not html, the response header should define the content-type 'application/json'

Steps To Reproducecurl -i -X GET -u ApiDevKey:NoPWNeeded http://localhost/testlink/lib/api/rest/v1/testprojects [^]

HTTP/1.1 200 OK
Date: Fri, 16 Aug 2013 19:36:17 GMT
Server: Apache/2.2.22 (Debian)
X-Powered-By: PHP/5.4.4-14+deb7u3
Set-Cookie: PHPSESSID=aremob7mabq3iga87215ak5i42; path=/
Expires: Thu, 19 Nov 1981 08:52:00 GMT
Cache-Control: no-store, no-cache, must-revalidate, post-check=0, pre-check=0
Pragma: no-cache
Vary: Accept-Encoding
Content-Length: 707
Content-Type: text/html

{"status":"ok","message":"ok","item":[{"id":"1","notes":"

\r\n\tDummy Test Projekt for Experinces<\/p>","color":"","active":"1","option_reqs":"0","option_prio ....

Additional Informationhttp://docs.slimframework.com/#Response-Headers [^]
TagsNo tags attached.
Database (MySQL,Postgres,etc)Postgres
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
child of 0005731closedfman Availables hot-fixes for 1.9.7 & How To get full fixed package from gitorious 

-  Notes
(0019441)
fman (administrator)
2013-08-17 08:02

ok, will give a look to this
(0019522)
fman (administrator)
2013-09-08 17:53

1.9.8 released

- Issue History
Date Modified Username Field Change
2013-08-16 19:48 lczub New Issue
2013-08-17 08:02 fman Note Added: 0019441
2013-08-17 09:00 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2013-08-17 09:00 fman Status new => resolved
2013-08-17 09:00 fman Fixed in Version => 1.9.8 (2013 Q3 - bug fixing)
2013-08-17 09:00 fman Resolution open => fixed
2013-08-17 09:00 fman Assigned To => fman
2013-08-17 09:00 fman Relationship added child of 0005731
2013-09-08 17:53 fman Note Added: 0019522
2013-09-08 17:53 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker